# Interface PoolMBean

All Known Implementing Classes:
  `Pool`

public interface PoolMBean

## Method Summary

Modifier and Type
Method
Description
`long`
`getActiveConnections()`
`long`
`getConnectionRequests()`
`long`
`getIdleConnections()`
`long`
`getTotalConnections()`
`void`
`resetStaticGlobal()`

## Method Details

### getActiveConnections

long getActiveConnections()

### getTotalConnections

long getTotalConnections()

### getIdleConnections

long getIdleConnections()

### getConnectionRequests

long getConnectionRequests()

### resetStaticGlobal

void resetStaticGlobal()